Update an order

Updates a single order. See working-with-orders for more details.

Path Params
string
required

Merchant identifier.

string
required

Order identifier.

Query Params
string

Additional information provided as an expanded response: [lineItems, serviceCharge, discounts, credits, payments, customers, orderFulfillmentEvent, refunds]

Body Params
string

Universally Unique Identifier (UUID) of the order.

string

Three-letter ISO 4217 currency code.
Format: Lower case
Length: Maximum 3

customers
array of objects

List of customers associated with this order.

customers
employee
object

The employee who took this order

integer

Total price of the order in cents

string

External reference id if present in the order

integer

The net of orders with payment minus the amount collected. Includes refunds, manual refunds, tax, tip, service charge, non-revenue items, paid gift card activations and loads and discounts

string
enum

Is this order paid or not?

Allowed:
string
string

An arbitrary string with information about this order, may be printed on the order receipt and displayed in apps

orderType
object
boolean
Defaults to false

If true then this order should not have taxes applied to it

boolean

This order was created by merchant with VAT enabled.

string

Order state.
Values:
. open or OPEN and locked - Automatically set by Clover, for example: when a line item is added to the order or a payment is taken.
. When an order is created using REST API, Clover recommends manually setting the order state value to Open.
. When an order is created using Android SDK, do not manually set the order state. The value must be left empty, and Clover automatically updates the value to open and locked.
. Null - Default value when no value is manually set. This indicates a hidden order. Hidden orders do not display on the screen but can be retrieved using order ID.

boolean

Whether this order represents a manual transaction. A manual transaction is a transaction that has an arbitrary amount defined and is not associated with any inventory items. For example, the Clover Sale App and Clover Manual Transaction App create manual transactions. A manual transactions will have a single associated line item to hold the sale amount, but the generated receipt will display this differently to indicate that it is not considered a typical order with inventory items.

boolean

Whether similar line items should be grouped together on the receipt that this order generates. Item "similarity" is based on items having matching values for a set of properties including price, modifiers, and discounts.

boolean

Whether this order was created in test mode. Payments made against test orders are not processed. Test mode orders can be deleted from the Orders App on the merchant's device or web dashboard (https://www.clover.com/orders/m/{mId}/orders). They will also be deleted when the device sends a POST to the /v2/merchant/{mId}/orders/delete_all_tests endpoint.

string
enum

Possible values: SPLIT_GUEST, SPLIT_ITEM, SPLIT_CUSTOM, FULL. During the payment flow, if the user chooses to split the payment for this order, this field will be set to one of the SPLIT_* values to indicate how the full amount should be split. If the user chooses to pay for the order in full with one payment, then this field will be FULL.

Allowed:
int64

Creation timestamp

int64

Time at which the client created this order.

int64

Last modified time of the order.

int64
serviceCharge
object

Optional service charge (gratuity) applied to this order.

additionalCharges
array of objects
additionalCharges
discounts
array of objects

Amount or percentage discounts applied to the order subtotal. To retrieve discounts applied to individual items, use the Get all line items for an order endpoint with the discounts field expanded (v3/merchants/{mId}/orders/{orderId}/line_items?expand=discounts).

discounts
lineItems
array of objects

Line items associated with this order

lineItems
payments
array of objects

Payments that were made for this order. If multiple payments were made, then the payType field should reflect the method used to split the total amount.

payments
refunds
array of objects

Refunds that were made for this order.

refunds
credits
array of objects

Credits associated with this order.

credits
voids
array of objects

Voided payments associated with this order

voids
preAuths
array of objects

Pre-authorizations associated with this order

preAuths
device
object

Device which created the order, a 128-bit UUID, not a normal base-13 Clover ID.

authorizations
array of objects

Card authorizations associated with this order

authorizations
merchant
object
printGroups
array of objects

Print groups for line items of this order.

printGroups
orderFulfillmentEvent
object

Latest order fulfillment event of this order.

Response
200
Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here!